<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ListRolaTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:form styleClass="jsfcrud_list_form">
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListRolaEmpty}" rendered="#{rolaController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{rolaController.items.rowCount > 0}">
                    <h:outputText value="#{rolaController.pagination.pageFirstItem + 1}..#{rolaController.pagination.pageLastItem + 1}/#{rolaController.pagination.itemsCount}"/>&nbsp;
                    <h:commandLink action="#{rolaController.previous}" value="#{bundle.Previous} #{rolaController.pagination.pageSize}" rendered="#{rolaController.pagination.hasPreviousPage}"/>&nbsp;
                    <h:commandLink action="#{rolaController.next}" value="#{bundle.Next} #{rolaController.pagination.pageSize}" rendered="#{rolaController.pagination.hasNextPage}"/>&nbsp;
                    <h:dataTable value="#{rolaController.items}" var="item" border="0" cellpadding="2" cellspacing="0" rowClasses="jsfcrud_odd_row,jsfcrud_even_row" rules="all" style="border:solid 1px">
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListRolaTitle_rolaId}"/>
                            </f:facet>
                            <h:outputText value="#{item.rolaId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListRolaTitle_rolaNaziv}"/>
                            </f:facet>
                            <h:outputText value="#{item.rolaNaziv}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <h:commandLink action="#{rolaController.prepareView}" value="#{bundle.ListRolaViewLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{rolaController.prepareEdit}" value="#{bundle.ListRolaEditLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{rolaController.destroy}" value="#{bundle.ListRolaDestroyLink}"/>
                        </h:column>
                    </h:dataTable>
                </h:panelGroup>
                <br />
                <h:commandLink action="#{rolaController.prepareCreate}" value="#{bundle.ListRolaCreateLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ListRolaIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
